Creates a new schedule from provided data
curl --request POST \
--url https://api.rootly.com/v1/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedules",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "schedules",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
]
}
}
}Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedules",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "schedules",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
]
}
}
}